import { jsx } from "react/jsx-runtime";
import { Infinity as Infinity$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Infinity = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Infinity", ...props, children: /* @__PURE__ */ jsx(Infinity$1, { weight: variant }) });
  }
);
Infinity.displayName = "Infinity";
Object.assign(Infinity, { isGdsIcon: true });
export {
  Infinity
};
